## com.fasterxml.jackson.databind.exc
Class UnrecognizedPropertyException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  com.fasterxml.jackson.core.JsonProcessingException
                      com.fasterxml.jackson.databind.JsonMappingException
                          com.fasterxml.jackson.databind.exc.UnrecognizedPropertyException

All Implemented Interfaces:
  Serializable

    public class UnrecognizedPropertyException

extends JsonMappingException

Specialized `JsonMappingException` sub-class specifically used to indicate problems due to encountering a JSON property that could not be mapped to an Object property (via getter, constructor argument or field).

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonMappingException
`JsonMappingException.Reference`

Field Summary
`protected Class<?>` `_referringClass` Class that does not contain mapping for the unrecognized property.
`protected String` `_unrecognizedPropertyName` Note: redundant information since it is also included in the reference path.

Fields inherited from class com.fasterxml.jackson.databind.JsonMappingException
`_path`

Fields inherited from class com.fasterxml.jackson.core.JsonProcessingException
`mLocation`

Constructor Summary
`UnrecognizedPropertyException(String msg, com.fasterxml.jackson.core.JsonLocation loc, Class<?> referringClass, String propName)`

Method Summary
`static UnrecognizedPropertyException` `from(com.fasterxml.jackson.core.JsonParser jp, Object fromObjectOrClass, String propertyName)`
`Class<?>` `getReferringClass()` Method for accessing type (class) that is missing definition to allow binding of the unrecognized property.
`String` `getUnrecognizedPropertyName()` Convenience method for accessing logical property name that could not be mapped.

Methods inherited from class com.fasterxml.jackson.databind.JsonMappingException
`_appendPathDesc, from, from, getMessage, getPath, prependPath, prependPath, prependPath, toString, wrapWithPath, wrapWithPath, wrapWithPath`

Methods inherited from class com.fasterxml.jackson.core.JsonProcessingException
`getLocation`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### _referringClass

    protected final Class<?> _referringClass

  Class that does not contain mapping for the unrecognized property.

### _unrecognizedPropertyName

    protected final String _unrecognizedPropertyName

  Note: redundant information since it is also included in the reference path.

Constructor Detail

### UnrecognizedPropertyException

    public UnrecognizedPropertyException(String msg,
                                         com.fasterxml.jackson.core.JsonLocation loc,
                                         Class<?> referringClass,
                                         String propName)

Method Detail

### from

    public static UnrecognizedPropertyException from(com.fasterxml.jackson.core.JsonParser jp,
                                                     Object fromObjectOrClass,
                                                     String propertyName)

### getReferringClass

    public Class<?> getReferringClass()

  Method for accessing type (class) that is missing definition to allow binding of the unrecognized property.

### getUnrecognizedPropertyName

    public String getUnrecognizedPropertyName()

  Convenience method for accessing logical property name that could not be mapped. Note that it is the last path reference in the underlying path.

Copyright © 2012 fasterxml.com. All Rights Reserved.